Package weka.core.pmml

# Enum Class Array.ArrayType

java.lang.Object
java.lang.Enum<Array.ArrayType>
weka.core.pmml.Array.ArrayType

All Implemented Interfaces:
  `Serializable`, `Comparable<Array.ArrayType>`, `Constable`

Enclosing class:
  Array

public static enum Array.ArrayType extends Enum<Array.ArrayType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INT`
  `INT_SPARSE`
  `NUM`
  `REAL`
  `REAL_SPARSE`
  `STRING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static Array.ArrayType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Array.ArrayType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NUM

    public static final Array.ArrayType NUM

  - ### INT

    public static final Array.ArrayType INT

  - ### REAL

    public static final Array.ArrayType REAL

  - ### STRING

    public static final Array.ArrayType STRING

  - ### REAL_SPARSE

    public static final Array.ArrayType REAL_SPARSE

  - ### INT_SPARSE

    public static final Array.ArrayType INT_SPARSE

- ## Method Details

  - ### values

    public static Array.ArrayType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Array.ArrayType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<Array.ArrayType>`